//+------------------------------------------------------------------+
//|                                                           VL.mq4 |
//|                        Copyright 2014, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#include <stdlib.mqh> 
#property show_confirm
#property copyright "Copyright 2014, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---
   if(ObjectFind("VL22")==-1)
     {
      ObjectCreate("VL22",OBJ_VLINE,0,Time[0],0);
      ObjectSet("VL22",OBJPROP_COLOR,Gold);
      ObjectSet("VL22",OBJPROP_WIDTH,3);
      ObjectSet("VL22",OBJPROP_BACK,1);
     }
     datetime time=(datetime)ObjectGet("VL22",OBJPROP_TIME1);
//----
   int error;
   string name=Symbol()+".csv";
   int handle=FileOpen(name,FILE_READ|FILE_WRITE,";");
   if(handle==-1)
     {
      error=GetLastError();
      Alert("Error:  "+ErrorDescription(error)+"");
      FileClose(handle);
      return;
     }
   string data=TimeToStr(time,TIME_DATE|TIME_MINUTES);
   FileSeek(handle,0,SEEK_END);
   int Qu=FileWrite(handle,data);
   if(Qu<0)
     {
      error=GetLastError();
      Alert("Error:  "+ErrorDescription(error)+"");
     }
   FileClose(handle);
  }
//+------------------------------------------------------------------+
